org.flexdock.docking.adapter

## Class DockingAdapter

- java.lang.Object
- - org.flexdock.docking.adapter.DockingAdapter

-     public class DockingAdapter
      extends java.lang.Object

  Author:
    Christopher Butler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Component` | `getComponent()`
    `javax.swing.Icon` | `getDockbarIcon()`
    `java.util.List` | `getDragSources()`
    `java.util.Set` | `getFrameDragSources()`
    `java.lang.String` | `getPersistentId()`
    `java.lang.String` | `getTabText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getComponent

          public java.awt.Component getComponent()

    - #### getDragSources

          public java.util.List getDragSources()

    - #### getFrameDragSources

          public java.util.Set getFrameDragSources()

    - #### getPersistentId

          public java.lang.String getPersistentId()

    - #### getDockbarIcon

          public javax.swing.Icon getDockbarIcon()

    - #### getTabText

          public java.lang.String getTabText()